SDL_SetWindowOpacity(3)

NAME
SDL_SetWindowOpacity - Set the opacity for a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowOpacity(SDL_Window *window, float opacity);

DESCRIPTION
The parameter opacity will be clamped internally between 0.0f (transparent) and 1.0f (opaque).

This function also returns false if setting the opacity isn't supported.

FUNCTION PARAMETERS

window
    the window which will be made transparent or opaque.

opacity
    the opacity value (0.0f - transparent, 1.0f - opaque).

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowOpacity(3)